This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 224449 - xterm sometimes crashes immediately on startup
xterm sometimes crashes immediately on startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-25 14:21 EST by Chris Siebenmann
Modified: 2008-05-06 14:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 14:27:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
My xterm X resources settings (1.17 KB, text/plain)
2007-01-25 14:26 EST, Chris Siebenmann
no flags Details

  None (edit)
Description Chris Siebenmann 2007-01-25 14:21:20 EST
Description of problem:

Every so often, I will start xterm, but it will come up about minimum sized
(a few characters wide by I think one line tall, although it's hard to tell)
and then crash. (Sometimes it doesn't crash.)

I installed the -debuginfo RPM for xterm, and gdb'd the core I just got
right now. This reports:

Core was generated by `xterm -n fs5 -T fs5 -e ssh fs5'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000000000412829 in VTparse (xw=0x878bc0) at ./charproc.c:3304
3304        spot.x = CurCursorX(screen, screen->cur_row, screen->cur_col);
(gdb) where
#0  0x0000000000412829 in VTparse (xw=0x878bc0) at ./charproc.c:3304
#1  0x0000000000412e2c in VTRun () at ./charproc.c:4863
#2  0x000000000041e235 in main (argc=3, argv=<value optimized out>)
    at ./main.c:2412
#3  0x0000003f7a01da44 in __libc_start_main () from /lib64/libc.so.6
#4  0x0000000000406789 in _start ()

(gdb) info frame
Stack level 0, frame at 0x7fff573b19e0:
 rip = 0x412829 in VTparse (./charproc.c:3304); saved rip 0x412e2c
 called by frame at 0x7fff573b19f0
 source language c.
 Arglist at 0x7fff573b1968, args: xw=0x878bc0
 Locals at 0x7fff573b1968, Previous frame's sp is 0x7fff573b19e0
 Saved registers:
  rbx at 0x7fff573b19a8, rbp at 0x7fff573b19b0, r12 at 0x7fff573b19b8,
  r13 at 0x7fff573b19c0, r14 at 0x7fff573b19c8, r15 at 0x7fff573b19d0,
  rip at 0x7fff573b19d8
(gdb) info registers
rax            0xe4     228
rbx            0x0      0
rcx            0x878bc0 8883136
rdx            0x8a9e30 9084464
rsi            0x8808a0 8915104
rdi            0x0      0
rbp            0x878d18 0x878d18
rsp            0x7fff573b1970   0x7fff573b1970
r8             0xd      13
r9             0x8c5526 9196838
r10            0x861988 8788360
r11            0x0      0
r12            0x878bc0 8883136
r13            0x0      0
r14            0x927c   37500
r15            0x878d18 8883480
rip            0x412829 0x412829 <VTparse+345>
eflags         0x10206  [ PF IF RF ]
cs             0x33     51
ss             0x2b     43
ds             0x0      0
es             0x0      0
fs             0x0      0
gs             0x0      0

(I will be keeping this core file around, so please let me know if
there's additional useful information I can provide.)

I believe I placed this xterm in a way that caused my window manager
to try to expand it down to the bottom of the screen, which obviously
didn't work. (Its normal size is 80x24.)


Version-Release number of selected component (if applicable):

xterm-223-1.fc6 (x86_64 RPM)


How reproducible:

It's not. The 'comes up minimum size' happens only rarely, and the subsequent
crash even less frequently.

Additional Information:

I set a number of X resources to fiddle with xterm's settings. I will attach
an extract of them to this bug report, because they may be relevant.
Comment 1 Chris Siebenmann 2007-01-25 14:26:34 EST
Created attachment 146605 [details]
My xterm X resources settings
Comment 2 Thomas E. Dickey 2007-01-26 10:16:31 EST
I haven't encountered that (recently - a couple of years ago
there was a bug with minimum size).  Will read code and see
if I can think of a scenario that would break.  (The core
file isn't much use, but version and line-numbers may be
useful).
Comment 3 Miroslav Lichvar 2007-08-29 07:10:04 EDT
Is this still happening with xterm-227 from updates?
Comment 4 Chris Siebenmann 2007-08-29 10:06:44 EDT
I believe so, but since it happens so rarely I can't absolutely swear
to it.
Comment 5 Bug Zapper 2008-04-04 01:44:50 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 14:16:41 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.